Page MenuHomePhabricator

Go to Previous Article from Article Menu page
Closed, ResolvedPublic

Description

User story

When a user wants to go back to a previous article they read, they should be able to see the title of the previous article they read in the article menu

Design

  • Add the previous article title as the description in the menu list for "previous article"
  • Truncate the description to one line

Related Objects

StatusSubtypeAssignedTask
Resolvedhueitan
Resolvedhueitan

Event Timeline

hueitan created this task.Dec 24 2019, 4:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 24 2019, 4:50 PM
hueitan claimed this task.Dec 24 2019, 4:50 PM
hueitan added a parent task: T236266: Article page menu.
hueitan moved this task from Code Review to QA on the Inuka-Team (Kanban) board.Jan 2 2020, 9:44 AM

I'm suggesting adding the previous article title as the description in the menu list, does it helpful? @cmadeo @AMuigai

cmadeo added a comment.Jan 6 2020, 6:55 PM

@hueitan that works for me, thanks!

cmadeo added a comment.Jan 6 2020, 6:55 PM

(Let's just truncate the article title to one line)

hueitan moved this task from QA to Dev on the Inuka-Team (Kanban) board.Jan 7 2020, 9:41 AM

Moving back for the development for the description.

hueitan moved this task from Dev to Code Review on the Inuka-Team (Kanban) board.Jan 8 2020, 6:10 PM
SBisson moved this task from Code Review to QA on the Inuka-Team (Kanban) board.Jan 8 2020, 6:32 PM
AMuigai updated the task description. (Show Details)Jan 10 2020, 12:31 PM
AMuigai updated the task description. (Show Details)Jan 10 2020, 12:39 PM
AMuigai closed this task as Resolved.Feb 6 2020, 12:41 PM
AMuigai moved this task from Backlog to MVP on the KaiOS-Wikipedia-app board.Fri, Mar 27, 12:58 PM
AMuigai edited projects, added KaiOS-Wikipedia-app (MVP); removed KaiOS-Wikipedia-app.